# eric7.Plugins.VcsPlugins.vcsMercurial.ShelveExtension.HgShelveDataDialog

Module implementing a dialog to enter the data for a shelve operation.

### Global Attributes

None

### Classes

HgShelveDataDialog | Class implementing a dialog to enter the data for a shelve operation.

### Functions

None

## HgShelveDataDialog

Class implementing a dialog to enter the data for a shelve operation.

### Derived from

QDialog, Ui_HgShelveDataDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgShelveDataDialog | Constructor
getData | Public method to get the user data.

### Static Methods

None

#### HgShelveDataDialog (Constructor)

HgShelveDataDialog(version, parent=None)

Constructor

version (tuple of three int)
  Mercurial version
parent (QWidget)
  reference to the parent widget

#### HgShelveDataDialog.getData

getData()

Public method to get the user data.

Return:
  tuple containing the name, date, message, a flag indicating to add/remove new/missing files and a flag indicating to keep the shelved changes in the working directory

Return Type:
  tuple of (str, QDateTime, str, bool, bool)

Up